# eric7.WebBrowser.WebBrowserTabBar

Module implementing a specialized tab bar for the web browser.

### Global Attributes

None

### Classes

WebBrowserTabBar | Class implementing the tab bar of the web browser.

### Functions

None

## WebBrowserTabBar

Class implementing the tab bar of the web browser.

### Derived from

EricWheelTabBar

### Class Attributes

None

### Class Methods

None

### Methods

WebBrowserTabBar | Constructor
__hidePreview | Private method to hide the preview.
__showTabPreview | Private slot to show the tab preview.
event | Public method to handle event.
leaveEvent | Protected method to handle leave events.
mouseMoveEvent | Protected method to handle mouse move events.
mousePressEvent | Protected method to handle mouse press events.
tabRemoved | Public slot to handle the removal of a tab.

### Static Methods

None

#### WebBrowserTabBar (Constructor)

WebBrowserTabBar(parent=None)

Constructor

parent
  reference to the parent widget (WebBrowserTabWidget)

#### WebBrowserTabBar.__hidePreview

__hidePreview()

Private method to hide the preview.

#### WebBrowserTabBar.__showTabPreview

__showTabPreview(index)

Private slot to show the tab preview.

index (int)
  index of tab to show a preview for

#### WebBrowserTabBar.event

event(evt)

Public method to handle event.

This event handler just handles the tooltip event and passes the handling of all others to the superclass.

evt
  reference to the event to be handled (QEvent)

Return:
  flag indicating, if the event was handled (boolean)

#### WebBrowserTabBar.leaveEvent

leaveEvent(evt)

Protected method to handle leave events.

evt
  reference to the leave event (QEvent)

#### WebBrowserTabBar.mouseMoveEvent

mouseMoveEvent(evt)

Protected method to handle mouse move events.

evt
  reference to the mouse move event (QMouseEvent)

#### WebBrowserTabBar.mousePressEvent

mousePressEvent(evt)

Protected method to handle mouse press events.

evt
  reference to the mouse press event (QMouseEvent)

#### WebBrowserTabBar.tabRemoved

tabRemoved(index)

Public slot to handle the removal of a tab.

index
  index of the removed tab (integer)

Up